%% Global constants
% This file contains variables that have a global scope and store flags to
% help understanding the <main.html LESM (Linear Elements Structure Model)> 
% program code. It is necessary to include this file in every function that 
% uses a global constant.
%
%%%

global TRUSS2D_ANALYSIS        % planar truss analysis
global FRAME2D_ANALYSIS        % planar frame analysis
global GRILLAGE_ANALYSIS       % grillage analysis

TRUSS2D_ANALYSIS    = 0;
FRAME2D_ANALYSIS    = 1;
GRILLAGE_ANALYSIS   = 2;

global MEMBER_TRUSS            % Truss bar member
global MEMBER_NAVIER           % Navier (Euler-Bernoulli) beam member
global MEMBER_TIMOSHENKO       % Timoshenko beam member

MEMBER_TRUSS        = 0;
MEMBER_NAVIER       = 1;
MEMBER_TIMOSHENKO   = 2;

global HINGED_END              % hinged member end
global CONTINUOUS_END          % continuous member end

HINGED_END          = 0;
CONTINUOUS_END      = 1;

global GLOBAL_LOAD             % member load applied in global system
global LOCAL_LOAD              % member load applied in local system

GLOBAL_LOAD         = 0;
LOCAL_LOAD          = 1;